## org.eclipse.emf.ecoretools.diagram.part
Class LoadResourceAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.emf.ecoretools.diagram.part.LoadResourceAction

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

    public class LoadResourceAction

extends org.eclipse.core.commands.AbstractHandler

Constructor Summary
`LoadResourceAction()`

Method Summary
`java.lang.Object` `execute(org.eclipse.core.commands.ExecutionEvent event)`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadResourceAction

    public LoadResourceAction()

Method Detail

### execute

    public java.lang.Object execute(org.eclipse.core.commands.ExecutionEvent event)
                             throws org.eclipse.core.commands.ExecutionException

  Throws:
    `org.eclipse.core.commands.ExecutionException`

Copyright 2007 Anyware Technologies. All Rights Reserved.